# Generated from stomp_job-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name stomp_job

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Resque-like job library for message brokers implementing the STOMP protocol
License: MIT
URL: https://github.com/mGageTechOps
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-its) >= 1.2.0
# BuildRequires: rubygem(rspec-its) < 1.3
# BuildRequires: rubygem(byebug) >= 9.0.6
# BuildRequires: rubygem(byebug) < 9.1
# BuildRequires: rubygem(rails) >= 5.0
# BuildRequires: rubygem(rails) < 6
BuildArch: noarch

%description
Resque-like job library for message brokers implementing the STOMP protocol.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/stomper
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/stomp_job.gemspec

%changelog
* Thu Feb 17 2022 mockbuilder - 0.1.0-1
- Initial package
